Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class HTMLSerializer

    java.lang.Object
      weblogic.apache.xml.serialize.BaseMarkupSerializer
          weblogic.apache.xml.serialize.HTMLSerializer

All Implemented Interfaces:
  ContentHandler, DocumentHandler, DTDHandler, DeclHandler, LexicalHandler, DOMSerializer, Serializer

Direct Known Subclasses:
  XHTMLSerializer

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.HTMLSerializer.

    public class HTMLSerializer

extends BaseMarkupSerializer

Implements an HTML/XHTML serializer supporting both DOM and SAX pretty serializing. HTML/XHTML mode is determined in the constructor. For usage instructions see `Serializer`.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. DOM serializing is done by calling `BaseMarkupSerializer.serialize(org.w3c.dom.Element)` and SAX serializing is done by firing SAX events and using the serializer as a document handler.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

For elements that are not specified as whitespace preserving, the serializer will potentially break long text lines at space boundaries, indent lines, and serialize elements on separate lines. Line terminators will be regarded as spaces, and spaces at beginning of line will be stripped.

XHTML is slightly different than HTML:

- Element/attribute names are lower case and case matters
- Attributes must specify value, even if empty string
- Empty elements must have '/' in empty tag
- Contents of SCRIPT and STYLE elements serialized as CDATA

See Also:
  `Serializer`

Field Summary
`static String` | `XHTMLNamespace` Deprecated.

Fields inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`_docTypePublicId, _docTypeSystemId, _encodingInfo, _format, _indenting, _prefixes, _printer, _started, fDOMError, fDOMErrorHandler, fDOMFilter, fFeatures, fStrBuffer`

Constructor Summary
`` | `HTMLSerializer()` Deprecated. Constructs a new serializer.
`protected` | `HTMLSerializer(boolean xhtml, OutputFormat format)` Deprecated. Constructs a new HTML/XHTML serializer depending on the value of `xhtml`.
`` | `HTMLSerializer(OutputFormat format)` Deprecated. Constructs a new serializer.
`` | `HTMLSerializer(OutputStream output, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified output stream using the specified output format.
`` | `HTMLSerializer(Writer writer, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified writer using the specified output format.

Method Summary
`void` | `characters(char[] chars, int start, int length)` Deprecated.
`protected void` | `characters(String text)` Deprecated. Called to print the text contents in the prevailing element format.
`void` | `endElement(String tagName)` Deprecated.
`void` | `endElement(String namespaceURI, String localName, String rawName)` Deprecated.
`void` | `endElementIO(String namespaceURI, String localName, String rawName)` Deprecated.
`protected String` | `escapeURI(String uri)` Deprecated.
`protected String` | `getEntityRef(int ch)` Deprecated. Returns the suitable entity reference for this character value, or null if no such entity exists.
`protected void` | `serializeElement(Element elem)` Deprecated. Called to serialize a DOM element.
`void` | `setOutputFormat(OutputFormat format)` Deprecated. Specifies an output format for this serializer.
`void` | `setXHTMLNamespace(String newNamespace)` Deprecated.
`protected void` | `startDocument(String rootTagName)` Deprecated. Called to serialize the document's DOCTYPE by the root element.
`void` | `startElement(String tagName, AttributeList attrs)` Deprecated.
`void` | `startElement(String namespaceURI, String localName, String rawName, Attributes attrs)` Deprecated.

Methods inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, comment, comment, content, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, fatalError, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, modifyDOMError, notationDecl, prepare, printCDATAText, printDoctypeURL, printEscaped, printEscaped, printText, printText, processingInstruction, processingInstructionIO, reset, serialize, serialize, serialize, serializeNode, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, surrogates, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XHTMLNamespace

    public static final String XHTMLNamespace

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### HTMLSerializer

    protected HTMLSerializer(boolean xhtml,
                             OutputFormat format)

  Deprecated.
  Constructs a new HTML/XHTML serializer depending on the value of `xhtml`. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

  Parameters:
    `xhtml` - True if XHTML serializing

### HTMLSerializer

    public HTMLSerializer()

  Deprecated.
  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### HTMLSerializer

    public HTMLSerializer(OutputFormat format)

  Deprecated.
  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### HTMLSerializer

    public HTMLSerializer(Writer writer,
                          OutputFormat format)

  Deprecated.
  Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `writer` - The writer to use
    `format` - The output format to use, null for the default

### HTMLSerializer

    public HTMLSerializer(OutputStream output,
                          OutputFormat format)

  Deprecated.
  Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `output` - The output stream to use
    `format` - The output format to use, null for the default

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Deprecated.
  Description copied from interface: `Serializer`
  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.

  Specified by:
    `setOutputFormat` in interface `Serializer`
  Overrides:
    `setOutputFormat` in class `BaseMarkupSerializer`
  Parameters:
    `format` - The output format to use

### setXHTMLNamespace

    public void setXHTMLNamespace(String newNamespace)

  Deprecated.

### startElement

    public void startElement(String namespaceURI,
                             String localName,
                             String rawName,
                             Attributes attrs)
                      throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### endElement

    public void endElement(String namespaceURI,
                           String localName,
                           String rawName)
                    throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### endElementIO

    public void endElementIO(String namespaceURI,
                             String localName,
                             String rawName)
                      throws IOException

  Deprecated.
  Throws:
    `IOException`

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws SAXException

  Deprecated.
  Specified by:
    `characters` in interface `ContentHandler`
  Specified by:
    `characters` in interface `DocumentHandler`
  Overrides:
    `characters` in class `BaseMarkupSerializer`
  Throws:
    `SAXException`

### startElement

    public void startElement(String tagName,
                             AttributeList attrs)
                      throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### endElement

    public void endElement(String tagName)
                    throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### startDocument

    protected void startDocument(String rootTagName)
                          throws IOException

  Deprecated.
  Called to serialize the document's DOCTYPE by the root element. The document type declaration must name the root element, but the root element is only known when that element is serialized, and not at the start of the document.

  This method will check if it has not been called before (`BaseMarkupSerializer._started`), will serialize the document type declaration, and will serialize all pre-root comments and PIs that were accumulated in the document (see `BaseMarkupSerializer.serializePreRoot()`). Pre-root will be serialized even if this is not the first root element of the document.

  Throws:
    `IOException`

### serializeElement

    protected void serializeElement(Element elem)
                             throws IOException

  Deprecated.
  Called to serialize a DOM element. Equivalent to calling `HTMLSerializer.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `HTMLSerializer.endElement(java.lang.String, java.lang.String, java.lang.String)` and serializing everything inbetween, but better optimized.

  Specified by:
    `serializeElement` in class `BaseMarkupSerializer`
  Parameters:
    `elem` - The element to serialize
  Throws:
    `IOException` - An I/O exception occured while serializing

### characters

    protected void characters(String text)
                       throws IOException

  Deprecated.
  Description copied from class: `BaseMarkupSerializer`
  Called to print the text contents in the prevailing element format. Since this method is capable of printing text as CDATA, it is used for that purpose as well. White space handling is determined by the current element state. In addition, the output format can dictate whether the text is printed as CDATA or unescaped.

  Overrides:
    `characters` in class `BaseMarkupSerializer`
  Parameters:
    `text` - The text to print
  Throws:
    `IOException` - An I/O exception occured while serializing

### getEntityRef

    protected String getEntityRef(int ch)

  Deprecated.
  Description copied from class: `BaseMarkupSerializer`
  Returns the suitable entity reference for this character value, or null if no such entity exists. Calling this method with `'&'` will return `"&amp;"`.

  Specified by:
    `getEntityRef` in class `BaseMarkupSerializer`
  Parameters:
    `ch` - Character value
  Returns:
    Character entity name, or null

### escapeURI

    protected String escapeURI(String uri)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD